%define qtdir /usr/lib/qt3
%define beta alpha

Name: tora
Version: 1.3.12
Release: alt1.%beta

Group: Databases
Summary: A GUI-based database development program
License: GPL
Url: http://www.globecom.se/tora/

Requires: kdelibs-gcc_compiled = %__gcc_version_base


Source: http://prdownloads.sourceforge.net/tora/tora-alpha-%version.tar.bz2
Patch1: tora-1.3.7-compile.patch

ExcludeArch: alpha

# Automatically added by buildreq on Mon Oct 06 2003 (-bi)
# BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ kdelibs-devel libGLU libGLwrapper libart_lgpl libaudio libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel
#kdelibs-devel

BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ 
BuildRequires: libGLU libGLwrapper libart_lgpl libaudio libexpat libjpeg liblcms
BuildRequires: libmng libqt3-devel libstdc++-devel ImageMagick
# BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
Tora ("Toolkit for Oracle" - note that we don't ship the Oracle
plugin) is a GUI-based database development program, offering SQL
worksheets and a database browser.

%prep
%setup -q
#%patch1 -p1

%build
export QTDIR=%qtdir
export CFLAGS="%optflags" CXXFLAGS="%optflags"
#	--without-oracle \
#	--with-kde \
./configure \
	--prefix=%prefix \
	--without-rpath \
	--with-qt=%qtdir \
	--with-qt-moc=%qtdir/bin/moc \
	--with-qt-uic=%qtdir/bin/uic 
%make_build

%install
mkdir -p %buildroot/usr/lib/tora
mkdir -p %buildroot/usr/bin/tora
%make ROOT=%buildroot install

# This is weird....
if [ -f %buildroot/usr/bin/tora/tora-plugin ]; then
	mv %buildroot/usr/bin/tora/tora-plugin %buildroot/usr/bin/tora2
	rmdir %buildroot/usr/bin/tora
	mv %buildroot/usr/bin/tora2 %buildroot/usr/bin/tora
fi

# create menu
#mkdir -p %buildroot/usr/lib/menu
#kdedesktop2mdkmenu.pl %name "Applications/Databases" rpm/tora.desktop %buildroot/usr/lib/menu/%name
mkdir -p %buildroot/%_datadir/applnk/Development
install rpm/tora.desktop -m 644 %buildroot/%_datadir/applnk/Development/%name.desktop

# install icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m 644 icons/toramini.xpm %buildroot/%_miconsdir/%name.xpm
install -m 644 icons/tora.xpm %buildroot/%_iconsdir/%name.xpm
convert -geometry 48x48 icons/tora.xpm %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus


%files
%_bindir/*
%_libdir/%name
#%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_datadir/applnk/Development/%name.desktop

%changelog


* Tue Oct 07 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3.11-alt1.alpha
- new version

* Thu Apr 17 2003 Sergey V Turchin <zerg at altlinux dot ru> 1.3.9.2-alt1.alpha
- new version

* Wed Feb 12 2003 Sergey V Turchin <zerg@altlinux.ru> 1.3.9-alt1.alpha
- new version

* Wed Jan 15 2003 Sergey V Turchin <zerg@altlinux.ru> 1.3.8-alt1.alpha
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.3.7-alt2.alpha
- rebuild with gcc3.2 && objprelink

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.3.7-alt1.alpha
- build for ALT

* Mon Aug 12 2002 Tim Powers <timp@redhat.com>
- rebuilt with gcc-3.2

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-2
- Rebuild

* Wed Jul 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-1
- 1.3.6.1

* Wed Jul  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6-1
- 1.3.6

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.5.1-1
- 1.3,5.1. Development release, and we now get support for PostgreSQL

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.2.3-2
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.3-1
- 1.2.3, a minor bug fix release

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.2-2
- Add patch to fix compilation with KDE 3.x/Qt 3.x

* Tue Feb  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.2-1
- Initial build.

